struct ccw1
Prev | I/O functions for channel-attached devices | Next

## Name

struct ccw1 — channel command word

## Synopsis

    struct ccw1 {
      __u8 cmd_code;
      __u8 flags;
      __u16 count;
      __u32 cda;
    };

## Members

cmd_code

  command code

flags

  flags, like IDA adressing, etc.

count

  byte count

cda

  data address

## Description

The ccw is the basic structure to build channel programs that perform operations with the device or the control unit. Only Format-1 channel command words are supported.

Prev | Up | Next
struct scsw | Home | struct erw